---
title: "Verify subscriber location"
url: "https://developer.pxg.konera.com/apis/location-verification-1/versions/ac48d405-e311-47eb-bac9-b9f5864a088a/operations/locationVerificationVerify"
---

> Full API specification: https://developer.pxg.konera.com/apis/location-verification-1/versions/ac48d405-e311-47eb-bac9-b9f5864a088a.md

# Verify subscriber location

`POST` `/location-verification/v0.1/verify`

Operation ID: `locationVerificationVerify`

Verifies whether the subscriber device is within the specified geographic boundary.

## Request body (required)

Content types: `application/json`

## Responses

- `200` - Location verification result
- `400` - Invalid request parameters
- `401` - Unauthorized
- `403` - Forbidden
- `429` - Too Many Requests

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: Location Verification
  version: 0.1.0
servers:
  - url: https://api.pxg.konera.com/camara
    description: Production CAMARA API Gateway
paths:
  /location-verification/v0.1/verify:
    post:
      tags:
        - Location Verification
      summary: Verify subscriber location
      description: Verifies whether the subscriber device is within the specified
        geographic boundary.
      operationId: locationVerificationVerify
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/LocationVerificationRequest"
            example:
              device:
                phoneNumber: "+12065550123"
              area:
                latitude: 37.3382
                longitude: -121.8863
                radius: 500
      responses:
        "200":
          description: Location verification result
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/LocationVerificationResponse"
              example:
                verified: true
                insideArea: true
        "400":
          description: Invalid request parameters
        "401":
          description: Unauthorized
        "403":
          description: Forbidden
        "429":
          description: Too Many Requests
security:
  - oauth2:
      - location-verification:verify
components:
  schemas:
    LocationVerificationRequest:
      type: object
      required:
        - device
        - area
      properties:
        device:
          type: object
          required:
            - phoneNumber
          properties:
            phoneNumber:
              type: string
              pattern: ^\+[1-9][0-9]{4,14}$
              example: "+12065550123"
        area:
          type: object
          required:
            - latitude
            - longitude
            - radius
          properties:
            latitude:
              type: number
              example: 37.3382
            longitude:
              type: number
              example: -121.8863
            radius:
              type: integer
              description: Radius in meters
              example: 500
    LocationVerificationResponse:
      type: object
      required:
        - verified
        - insideArea
      properties:
        verified:
          type: boolean
          example: true
        insideArea:
          type: boolean
          example: true
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://auth.konera.com/oauth2/token
          scopes:
            location-verification:verify: Verify subscriber location
```
